onEvent('recipes', event => {
	// this creates a recipe for extracting 32 netherrack from obsidian, dealing 1 damage and taking an hour to mine at 128 RPM
	event.recipes.createautomated.extracting('kubejs:unobtainium_node', 'allthemodium:unobtainium_nugget')
        .drillDamage(1)
            // either 2 integers, in which case it will give a random amount between them, or 1 integer in which case it will always give this many
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:cheap_unobtainium_node', 'allthemodium:unobtainium_nugget')
        .drillDamage(1)
        .ore(8)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:clay', 'minecraft:clay_ball')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:coal', 'pickletweaks:coal_piece')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:cobblestone', 'projectvibrantjourneys:rocks')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:copper_block', 'alltheores:copper_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
        
    event.recipes.createautomated.extracting('kubejs:diamond_block', 'silentgear:diamond_shard')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 1)

    event.recipes.createautomated.extracting('kubejs:dirt', 'minecraft:dirt')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:emerald_block', 'createautomated:emerald_bit')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:end_stone', 'minecraft:end_stone')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:glass', 'quark:clear_shard')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:glowstone', 'minecraft:glowstone_dust')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:gold_block', 'minecraft:gold_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:gravel', 'minecraft:gravel')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:honey_block', 'minecraft:honey_bottle')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:iron_block', 'minecraft:iron_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:lapis_block', 'createautomated:lapis_ore_piece')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:netherite_block', 'tconstruct:debris_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:netherrack', 'minecraft:netherrack')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:obsidian', 'minecraft:obsidian')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:quartz_block', 'minecraft:quartz')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:red_sand', 'minecraft:red_sand')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:redstone_block', 'minecraft:redstone')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:sand', 'minecraft:sand')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:soul_sand', 'minecraft:soul_sand')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:stone', 'minecraft:stone')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:energized_steel_block', 'powah:steel_energized')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:silver_block', 'alltheores:silver_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:spirited_crystal_block', 'powah:crystal_spirited')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:tin_block', 'alltheores:tin_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:uraninite_block', 'powah:uraninite_raw_poor')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:uranium_block', 'alltheores:uranium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:vibranium_block', 'allthemodium:vibranium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:zinc_block', 'alltheores:zinc_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:allthemodium_block', 'allthemodium:allthemodium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:aluminum_block', 'alltheores:aluminum_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:blaze_rod_block', 'minecraft:blaze_rod')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:enderium_block', 'thermal:enderium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:ender_pearl_block', 'forbidden_arcanus:ender_pearl_fragment')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:electrum_block', 'thermal:electrum_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:constantan_block', 'thermal:constantan_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:bronze_block', 'thermal:bronze_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:blazing_crystal_block', 'powah:crystal_blazing')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:block_steel', 'mekanism:nugget_steel')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:signalum_block', 'thermal:signalum_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:platinum_block', 'alltheores:platinum_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:osmium_block', 'alltheores:osmium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:nitro_crystal_block', 'powah:crystal_nitro')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:niotic_crystal_block', 'powah:crystal_niotic')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:nickel_block', 'alltheores:nickel_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:nether_star_block', 'progressivebosses:nether_star_shard')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:lumium_block', 'thermal:lumium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:lead_block', 'alltheores:lead_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
    
    event.recipes.createautomated.extracting('kubejs:invar_block', 'thermal:invar_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)
//botania
    event.recipes.createautomated.extracting('kubejs:elementium_block', 'botania:elementium_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:mana_diamond_block', 'botania:mana_diamond')
        .drillDamage(1)
        .ore(16)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:manasteel_block', 'botania:manasteel_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:terrasteel_block', 'botania:terrasteel_nugget')
        .drillDamage(1)
        .ore(32)
        .requiredProgressSeconds(128, 60)

    event.recipes.createautomated.extracting('kubejs:wither_node', 'wstweaks:fragment')
    .drillDamage(1)
    .ore(8)
    .requiredProgressSeconds(128, 60)

})   